Skip to main content
PATCH
/
api
/
v1
/
agents
/
{uuid}
/
interaction
Update interaction settings
curl --request PATCH \
  --url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/interaction \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "customer_speak_first": false,
  "inbound_first_message": "Hello, how can I help you today?",
  "outbound_first_message": "Hi, I'm calling about your enquiry.",
  "voice_mail_message": "Please call us back when you're available.",
  "end_call_message": "Thanks for calling. Goodbye!",
  "silence_message": "Are you still there?",
  "max_silence_prompts": 30
}
EOF
import requests

url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/interaction"

payload = {
"customer_speak_first": False,
"inbound_first_message": "Hello, how can I help you today?",
"outbound_first_message": "Hi, I'm calling about your enquiry.",
"voice_mail_message": "Please call us back when you're available.",
"end_call_message": "Thanks for calling. Goodbye!",
"silence_message": "Are you still there?",
"max_silence_prompts": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_speak_first: false,
inbound_first_message: 'Hello, how can I help you today?',
outbound_first_message: 'Hi, I\'m calling about your enquiry.',
voice_mail_message: 'Please call us back when you\'re available.',
end_call_message: 'Thanks for calling. Goodbye!',
silence_message: 'Are you still there?',
max_silence_prompts: 30
})
};

fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/interaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Interaction settings updated successfully",
  "data": {
    "customer_speak_first": false,
    "inbound_first_message": "Hello, how can I help you today?",
    "outbound_first_message": "Hi, I'm calling about your enquiry.",
    "voice_mail_message": "Please call us back when you're available.",
    "end_call_message": "Thanks for calling. Goodbye!",
    "silence_message": "Are you still there?",
    "max_silence_prompts": 30
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required

Body

application/json

The body is of type any.

Response

Interaction settings updated